Bug 205468 - devel/gdb: add support for armv6 architecture
Summary: devel/gdb: add support for armv6 architecture
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-12-20 21:30 UTC by Oleksandr Tymoshenko
Modified: 2016-03-06 03:18 UTC (History)
2 users (show)

See Also:
luca.pizzamiglio: maintainer-feedback+


Attachments
armv6 native debugger support (13.21 KB, patch)
2015-12-20 21:30 UTC, Oleksandr Tymoshenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleksandr Tymoshenko freebsd_committer freebsd_triage 2015-12-20 21:30:16 UTC
Created attachment 164431 [details]
armv6 native debugger support

Provided patch adds support for armv6 native debugging (no crossdebugging yet)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 06:33:01 UTC
@Oleksandr, if you have a ports bit (or even if you dont) and would like to take/assign this issue, please feel free.

Also, is this going upstream?
Comment 2 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2015-12-22 23:00:52 UTC
I don't have ports commit bit so I will rely on maintainer to handle it. I don't have immediate plans to  push it upstream. floating point support is missing. Probably when I add it I'll try to submit it.
Comment 3 commit-hook freebsd_committer 2016-03-06 03:13:22 UTC
A commit references this bug:

Author: gonzo
Date: Sun Mar  6 03:13:17 UTC 2016
New revision: 410229
URL: https://svnweb.freebsd.org/changeset/ports/410229

Log:
  Add support for armv6 native debugging (no crossdebugging yet)

  PR:		205468
  Approved by:	luca.pizzamiglio@gmail.com (maintainer)

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/files/patch-armfbsd
  head/devel/gdb/files/patch-gdb-configure.host